<template>
    <div>
        <div class="pam-tags">
            <div class="pb-10" v-for="(qaItem,index) in questionList" :key="index">
                <el-button  class="tags" :class="{'active': qaItem.selected}"      
                @click="qaItem.selected = !qaItem.selected">                    
                {{qaItem.name}}
                </el-button>              
            </div>    
            <el-button class="tags" @click="other = !other" :class="{'active':other=other}">其他</el-button>
        </div>
        <div class="pb-10 pam-tags con-input"> 
            <input v-if="other" class="other-input" placeholder="請輸入,限X字" v-model="otherQuestion">      
        </div>

    </div>
</template>
<script>
import { Vue, Component} from 'vue-property-decorator';
@Component
    export default class ConsultantQues extends Vue{

        showDialog = false;
        other = '';
        otherQuestion = '';
        questionList=[
            {
                name:'健康與保障',
                selected:false
                },
            {
                name:'子女教育',
                selected:false
                },
            {
                name:'資產規劃',
                selected:false
                },
            {
                name:'樂活退休',
                selected:false
                },
            {
                name:'保單健檢/規劃',
                selected:false
                },
            {
                name:'防疫保單相關',
                selected:false
                }       
        ];
        
    }
</script>
<style lang="scss">
.con-input{
    input:focus,textarea:focus {

    outline: none;

    border: 1px solid #ED1B2E;

}
}
.other-input{
    height: 50px;
    width:316px;
    border:1px solid #CCCCCC;
    margin-top: 10px;
}
.tags{
    height: 47px;
}
.qa-dialog-footer{
    display: flex;
    justify-content: center;
    font-size: 20px;
    color: red;
}

.el-dialog__wrapper{
    overflow: hidden;
}

.qa-dialog{
    overflow:hidden;
    height: 500px;
    margin-top: 20px;
}

.qaTextTitle{
    font-size: 20px;
    font-family: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: -15px;

}
.qa-title{
    font-size: 20px;
    margin-bottom: 10px;
}
.qa-content{
    font-size: 18px;
    margin-bottom: 10px;
}

@include desktop
{
    .pam-tags{
        display:flex;
        flex-wrap:wrap;
        
    }
    .tags{
        margin-right: 10px;
        height: 47px;
    }
}
</style>